package com.xkrs.service.impl;

import com.xkrs.dao.FirePointChannelConfigDao;
import com.xkrs.dao.FirePointOrdinaryDao;
import com.xkrs.dao.StreetDao;
import com.xkrs.dao.SysUserDao;
import com.xkrs.helper.FirePointPushManager;
import com.xkrs.helper.FirePointQueryManager;
import com.xkrs.service.FireSeasonConfigService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Locale;

@Service
public class FireSeasonConfigServiceImpl implements FireSeasonConfigService {

    public static Logger log = LoggerFactory.getLogger(FireSeasonConfigServiceImpl.class);

    private final Locale locale = LocaleContextHolder.getLocale();

    @Resource
    private FirePointChannelConfigDao channelConfigDao;

    @Resource
    private FirePointOrdinaryDao firePointOrdinaryDao;

    @Resource
    private FirePointQueryManager firePointQueryManager;

    @Resource
    private FirePointPushManager firePointPushManager;

    @Resource
    private SysUserDao sysUserDao;

    @Resource
    private StreetDao streetDao;

}
